## Index

### Interfaces

- HLJSStatic
- IAutoHighlightResult
- ICompiledMode
- IHighlightResult
- IHighlightResultBase
- IMode
- IModeBase
- IOptions
- Node

### Variables

- APOS_STRING_MODE
- BACKSLASH_ESCAPE
- BINARY_NUMBER_MODE
- BINARY_NUMBER_RE
- CSS_NUMBER_MODE
- C_BLOCK_COMMENT_MODE
- C_LINE_COMMENT_MODE
- C_NUMBER_MODE
- C_NUMBER_RE
- HASH_COMMENT_MODE
- IDENT_RE
- NUMBER_MODE
- NUMBER_RE
- PHRASAL_WORDS_MODE
- QUOTE_STRING_MODE
- REGEX_MODE
- RE_STARTERS_RE
- TITLE_MODE
- UNDERSCORE_IDENT_RE
- UNDERSCORE_TITLE_MODE

### Functions

- COMMENT
- configure
- fixMarkup
- getLanguage
- highlight
- highlightAuto
- highlightBlock
- inherit
- initHighlighting
- initHighlightingOnLoad
- listLanguages
- registerLanguage

## Variables

### APOS_STRING_MODE

APOS_STRING_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:53

### BACKSLASH_ESCAPE

BACKSLASH_ESCAPE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:52

### BINARY_NUMBER_MODE

BINARY_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:61

### BINARY_NUMBER_RE

BINARY_NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:48

### CSS_NUMBER_MODE

CSS_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:62

### C_BLOCK_COMMENT_MODE

C_BLOCK_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:57

### C_LINE_COMMENT_MODE

C_LINE_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:56

### C_NUMBER_MODE

C_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:60

### C_NUMBER_RE

C_NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:47

### HASH_COMMENT_MODE

HASH_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:58

### IDENT_RE

IDENT_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:44

### NUMBER_MODE

NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:59

### NUMBER_RE

NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:46

### PHRASAL_WORDS_MODE

PHRASAL_WORDS_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:55

### QUOTE_STRING_MODE

QUOTE_STRING_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:54

### REGEX_MODE

REGEX_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:63

### RE_STARTERS_RE

RE_STARTERS_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:49

### TITLE_MODE

TITLE_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:64

### UNDERSCORE_IDENT_RE

UNDERSCORE_IDENT_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:45

### UNDERSCORE_TITLE_MODE

UNDERSCORE_TITLE_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:65

## Functions

### COMMENT

- COMMENT(begin: string | RegExp, end: string | RegExp, inherits: IModeBase): IMode

- - Defined in node_modules/@types/highlight.js/index.d.ts:38

  #### Parameters

  - ##### begin: string | RegExp

  - ##### end: string | RegExp

  - ##### inherits: IModeBase

  #### Returns IMode

### configure

- configure(options: IOptions): void

- - Defined in node_modules/@types/highlight.js/index.d.ts:25

  #### Parameters

  - ##### options: IOptions

  #### Returns void

### fixMarkup

- fixMarkup(value: string): string

- - Defined in node_modules/@types/highlight.js/index.d.ts:21

  #### Parameters

  - ##### value: string

  #### Returns string

### getLanguage

- getLanguage(name: string): IMode

- - Defined in node_modules/@types/highlight.js/index.d.ts:34

  #### Parameters

  - ##### name: string

  #### Returns IMode

### highlight

- highlight(name: string, value: string, ignore_illegals?: undefined | false | true, continuation?: ICompiledMode): IHighlightResult

- - Defined in node_modules/@types/highlight.js/index.d.ts:12

  #### Parameters

  - ##### name: string

  - ##### value: string

  - ##### Optional ignore_illegals: undefined | false | true

  - ##### Optional continuation: ICompiledMode

  #### Returns IHighlightResult

### highlightAuto

- highlightAuto(value: string, languageSubset?: string[]): IAutoHighlightResult

- - Defined in node_modules/@types/highlight.js/index.d.ts:17

  #### Parameters

  - ##### value: string

  - ##### Optional languageSubset: string[]

  #### Returns IAutoHighlightResult

### highlightBlock

- highlightBlock(block: Node): void

- - Defined in node_modules/@types/highlight.js/index.d.ts:23

  #### Parameters

  - ##### block: Node

  #### Returns void

### inherit

- inherit(parent: Object, obj: Object): Object

- - Defined in node_modules/@types/highlight.js/index.d.ts:36

  #### Parameters

  - ##### parent: Object

  - ##### obj: Object

  #### Returns Object

### initHighlighting

- initHighlighting(): void

- - Defined in node_modules/@types/highlight.js/index.d.ts:27

  #### Returns void

### initHighlightingOnLoad

- initHighlightingOnLoad(): void

- - Defined in node_modules/@types/highlight.js/index.d.ts:28

  #### Returns void

### listLanguages

- listLanguages(): string[]

- - Defined in node_modules/@types/highlight.js/index.d.ts:33

  #### Returns string[]

### registerLanguage

- registerLanguage(name: string, language: function): void

- - Defined in node_modules/@types/highlight.js/index.d.ts:30

  #### Parameters

  - ##### name: string

  - ##### language: function

    - - (hljs?: HLJSStatic): IModeBase

      - #### Parameters

        - ##### Optional hljs: HLJSStatic

        #### Returns IModeBase

  #### Returns void

Generated using TypeDoc